Bug 6791 - editing list with apostrophe loses text
Summary: editing list with apostrophe loses text
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-26 16:42 UTC by Nicole C. Engard
Modified: 2012-10-25 23:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
'Reilly missing in the text box (23.61 KB, image/png)
2011-08-26 16:42 UTC, Nicole C. Engard
Details
Proposed fix (1.65 KB, patch)
2011-08-26 19:17 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Fix for Bug 6791 - editing list with apostrophe loses text (1.69 KB, patch)
2011-08-26 19:45 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-26 16:42:27 UTC
Created attachment 5165 [details]
'Reilly missing in the text box

See attached.  I have a list titled O'Reilly and when I clicked 'edit' the 'Reilly part went away (but was in the name at the top of the screen).
Comment 1 Owen Leonard 2011-08-26 19:17:42 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-08-26 19:45:04 UTC
Created attachment 5167 [details] [review]
[SIGNED-OFF] Fix for Bug 6791 - editing list with apostrophe loses text

Markup used single quotes around value attribute. Since single
quotes aren't escaped by the template's HTML filter these
quotes conflicted with the one in the text.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 3 Ian Walls 2011-08-26 19:54:31 UTC
Easy to read, template-only change, marking as Passed QA
Comment 4 Chris Cormack 2011-08-27 11:07:08 UTC
Pushed, please test
Comment 5 Chris Nighswonger 2011-10-26 18:02:07 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.